#include "nhPhysicalAddress.h"

#include "debug.h"

/** Flags for LockPages: */
#define LOCKFLAG_QUERY_ONLY 0x002   // query only, page in but don't lock

extern "C" BOOL LockPages(LPVOID lpvAddress, DWORD cbSize, PDWORD pPFNs, int fOptions);
#define KINX_PAGE_SIZE 1
#define KINX_PFN_SHIFT 2
#define KINX_PFN_MASK  3
DWORD GetPhysicalAddress(void *pVirtual)
{
	DWORD *UserKInfo= (DWORD*)0xffffcb00; 
	DWORD pages[3];
	pages[1]=0; pages[2]= -1;
	if (!LockPages(pVirtual, UserKInfo[KINX_PAGE_SIZE], pages, LOCKFLAG_QUERY_ONLY))
		return 0;

	return ((pages[0] << UserKInfo[KINX_PFN_SHIFT])&UserKInfo[KINX_PFN_MASK] )| (((DWORD)pVirtual)&~UserKInfo[KINX_PFN_MASK]);
}


