/* (C) 2003 XDA Developers  itsme@xs4all.nl
 *
 * $Header: /var/lib/cvs/xdautils/leds/tstitsutils.cpp,v 1.1 2004/05/18 15:46:39 itsme Exp $
 */
#include  <windows.h>
#include  <Pwinuser.h>
#include "debug.h"

typedef HRESULT (STDAPICALLTYPE *rapifn)(
        DWORD cbInput, void *pbInput,
        DWORD *pcbOutput, void **ppbOutput,
        void *pStream);

int WINAPI WinMain( HINSTANCE hInstance,
                   HINSTANCE hPrevInstance,
                   LPTSTR    lpCmdLine,
                   int       nCmdShow)
{
    DebugSetLogfile("\\tstits.log");

    HINSTANCE hLib= LoadLibrary(L"itsutils.dll");
    if (hLib==NULL || hLib==INVALID_HANDLE_VALUE) {
        error("LoadLibrary");
        return 1;
    }
    debug("hLib= %08lx\n", hLib);

    rapifn getver= (rapifn )GetProcAddress(hLib, L"ITGetVersion");
    if (getver==NULL) {
        error("GetProcAddress");
        return 1;
    }
    debug("GetProcAddress= %08lx\n", getver);

    DWORD dwSize;
    BYTE *buf;
    HRESULT res= getver(0, NULL, &dwSize, (void**)&buf, NULL);

    FreeLibrary(hLib);

    debug("result=%08lx\n", res);

    return 0;
}





