#include <windows.h>
#include "RilClass.h"
#include "debug.h"

RilClass *g_ril;

int WINAPI WinMain( HINSTANCE hInstance,
                   HINSTANCE hPrevInstance,
                   LPTSTR    lpCmdLine,
                   int       nCmdShow)
{
    DebugSetLogfile("\\tstril2.log");
    DebugOutputDebugString();

    debug("\n\nstarting new tstril2 instance\n\n");

    RilClass ril;

    g_ril= &ril;

    ril.open(1);

    ril.EnableCellBroadcasts(true);
    ril.EnableCellId(true);

	ril.RequestSignalQuality();
    ril.RequestEquipmentInfo();
    ril.RequestEquipmentState();
    ril.RequestCurrentAddressId();
	ril.RequestCallList();
    ril.RequestAudioMuting();
    ril.RequestSubscriberNumbers();
    ril.RequestLockedState();
    ril.RequestAudioDevices();

    while(1) {
        Sleep(5000);
        debug("..\n");
    }

    return 0;
}
