@echo off
mkdir ..\build 2>nul

call ..\local.bat
rem problem with mspdb71.dll not found : 

set cc=%vc7%\bin\cl.exe
set ld=%vc7%\bin\link.exe

set ccdefs=/D WIN32 /D NDEBUG /D _CONSOLE /D _DEBUG

set ccincs=/I "%mssdk%\include" /I "%vc7%\include" /I "%ActiveSyncSupport%\inc" /I "%spipc%" /I ..\dll /I ..\include /I ..\common

rem   - add '/Zi' when debugging is needed
set cflags=/Wall /wd4710 /wd4217 /wd4668 /wd4820 /wd4619 /EHsc
rem   - add '/debug' when debugging is needed
set ldflags=

if "%1"=="" goto all
goto _%1

:_mk

if not exist ..\build\w32\debug.obj call %0 mksup
if not exist ..\build\w32\checkdll.obj call %0 mksup

"%cc%" %cflags% /c %ccdefs% %ccincs% %2.cpp /Fo"..\build\w32\%2.obj"
if errorlevel 1 goto end

set libpaths= /libpath:"%mssdk%\lib" /libpath:"%vc7%\lib" /libpath:"%ActiveSyncSupport%\lib"
set extralibs=rapi.lib user32.lib
"%ld%" %ldflags% %libpaths% %extralibs% ..\build\w32\%2.obj ..\build\w32\checkdll.obj ..\build\w32\debug.obj /out:..\build\%2.exe
if errorlevel 1 goto end

goto end

:_mksup
"%cc%" %cflags% /c %ccdefs% %ccincs% debug.cpp /Fo"..\build\w32\debug.obj"
if errorlevel 1 goto end
"%cc%" %cflags% /c %ccdefs% %ccincs% checkdll.cpp /Fo"..\build\w32\checkdll.obj"
if errorlevel 1 goto end

goto end

:all

for %%i in (dump pps pkill pdel pmemdump pdblist pdir pget pput pregdmp prun pmemmap pspipcdump pdebug psdread psdwrite psetmem) do (
    call %0 mk %%i
)

:end
