#ifndef __KERNELINFO_H__

#include "itsutils.h"

#if _WIN32_WCE==300
#define GetProcessTimes_forver GetProcessTimes300
#define GetProcessCommandLine_forver GetProcessCommandLine300
#define GetProcessUsageList_forver GetProcessUsageList300
#define GetThreadUsageList_forver GetThreadUsageList300
#elif _WIN32_WCE==420
#define GetProcessTimes_forver GetProcessTimes420
#define GetProcessCommandLine_forver GetProcessCommandLine420
#define GetProcessUsageList_forver GetProcessUsageList420
#define GetThreadUsageList_forver GetThreadUsageList420
#endif

void GetProcessTimes300(DWORD pid, DWORD *ptKernel, DWORD *ptUser);
const WCHAR *GetProcessCommandLine300(DWORD pid);
void GetProcessUsageList300(GetProcessUsageListResult *pOut);
void GetThreadUsageList300(GetThreadUsageListResult *pOut);

void GetProcessTimes420(DWORD pid, DWORD *ptKernel, DWORD *ptUser);
const WCHAR *GetProcessCommandLine420(DWORD pid);
void GetProcessUsageList420(GetProcessUsageListResult *pOut);
void GetThreadUsageList420(GetThreadUsageListResult *pOut);

#define __KERNELINFO_H__
#endif
