#ifndef __DEVICE420_H__

typedef struct fsdev_t {
    DWORD listnext;
    DWORD listprev;
    DWORD index;
    DWORD dwData;
    DWORD dwLoadOrder;

    DWORD fnInit;
    DWORD fnDeinit;
    DWORD fnOpen;
    DWORD fnClose;
    DWORD fnRead;
    DWORD fnWrite;
    DWORD fnSeek;
    DWORD fnControl;
    DWORD fnPowerup;
    DWORD fnPowerdn;
    HINSTANCE hLib;
    DWORD dwId;
    BOOL PwrOn;
    WCHAR type[3];
    WORD wFlags;
    DWORD dwRefCnt;
} fsdev_t;


typedef struct fsopendev_t {
	struct fsopendev_t *nextptr;	// next one in linked list
	DWORD dwOpenData;
	fsdev_t *lpDev;
	DWORD *lpdwDevRefCnt;	// since we set lpDev to NULL on device deregister
    DWORD dwOpenRefCnt;     // ref count for this structure 
	HANDLE KHandle;			// kernel handle pointing to this structure
	HPROCESS hProc;			// process owning this handle
} fsopendev_t;

#define __DEVICE420_H__
#endif

