/* (C) 2003 XDA Developers  itsme@xs4all.nl
 *
 * $Header: /var/lib/cvs/xdautils/src/pkill.cpp,v 1.8 2004/01/26 22:37:57 itsme Exp $
 */
#include <windows.h>
#include <tchar.h>
#include <stdio.h>
#include <string.h>
#include <rapi.h>

#include "debug.h"

#include "ItsUtils.h"
#include "dllversion.h"

void ITTerminateProcess(char *szProcessName);

int main( int argc, char *argv[])
{
    DebugStdOut();

    if (argc==1)
    {
        printf("Usage: pkill processname [ processname ...]\n");
        return 1;
    }

    CheckITSDll();


    for (int i=1 ; i<argc ; i++)
        ITTerminateProcess(argv[i]);

    CeRapiUninit();

    return 0;
}

void ITTerminateProcess(char *szProcessName)
{
    DWORD insize= (strlen(szProcessName)+1)*sizeof(WCHAR);
    TerminateProcessParams*inbuf= (TerminateProcessParams*)LocalAlloc(LPTR, insize);
    DWORD outsize=0;
    BYTE *outbuf=NULL;

	_snwprintf(inbuf->wszProcessName, insize/sizeof(WCHAR), L"%hs", szProcessName);

    HRESULT res= CeRapiInvoke(L"\\Windows\\ItsUtils.dll", L"ITTerminateProcess",
            insize, (BYTE*)inbuf,
            &outsize, &outbuf, NULL, 0);
    if (res)
        error(res, "killing %s", szProcessName);
    else
        debug("%s killed\n", szProcessName);

    LocalFree(outbuf);
}
