/* (C) 2003 XDA Developers  itsme@xs4all.nl
 *
 * $Header: /var/lib/cvs/nah6utils/src/pmemmap.cpp,v 1.7 2004/01/05 18:01:47 itsme Exp $
 */
#include <windows.h>
#include "ItsUtils.h"
#include "dllversion.h"
#include "debug.h"
#include <stdio.h>
#include <string.h>
#include <rapi.h>

int main( int argc, char *argv[])
{
    DebugStdOut();

    CheckITSDll();

    FindNextMemoryBlockParams par;
    par.dwStartSearchAddress= 0;

    if (argc>1)
        par.dwStartSearchAddress= strtoul(argv[1], 0, 0);

    HRESULT res;
    do {
        FindNextMemoryBlockResult *reply=NULL;
        DWORD resLen=0;

        res= CeRapiInvoke(L"\\Windows\\ItsUtils.dll", L"ITFindNextMemoryBlock",
                sizeof(FindNextMemoryBlockParams), (BYTE*)&par, 
                &resLen, (BYTE**)&reply, NULL, 0);
        if (res!=0 && res!=1)
        {
            error(res, "ITFindNextMemoryBlock %08lx", res);
            break;
        }

        printf("%08lx - %08lx : %08lx (%7d)\n",
                reply->dwBlockStart, reply->dwBlockStart+reply->dwBlockLength,
                reply->dwBlockLength, reply->dwBlockLength);
        par.dwStartSearchAddress= reply->dwBlockStart+reply->dwBlockLength;
        LocalFree(reply);
    } while(res==0);

    CeRapiUninit();

    return 0;
}


