/* (C) 2003 XDA Developers  itsme@xs4all.nl
 *
 * $Header: /var/lib/cvs/xdautils/src/preboot.cpp,v 1.1 2004/01/19 11:36:02 itsme Exp $
 */
#include <windows.h>
#include <rapi.h>

#include "debug.h"

#include "ItsUtils.h"
#include "dllversion.h"

void ITReboot();

int main( int argc, char *argv[])
{
    DebugStdOut();

    if (argc!=1)
    {
        printf("Usage: preboot\n");
        return 1;
    }

    CheckITSDll();

    ITReboot();

    CeRapiUninit();

    return 0;
}

void ITReboot()
{
    DWORD outsize=0;
    BYTE *outbuf=NULL;
    HRESULT res= CeRapiInvoke(L"\\Windows\\ItsUtils.dll", L"ITReboot",
            0, NULL, &outsize, &outbuf, NULL, 0);

    printf("result=%08lx\n", res);
}
