/* (C) 2003 XDA Developers  itsme@xs4all.nl
 *
 * $Header: /var/lib/cvs/xdautils/src/prun.cpp,v 1.6 2004/03/15 19:31:06 itsme Exp $
 */
#include <windows.h>
#include <tchar.h>
#include <stdio.h>
#include <string.h>
#include <rapi.h>

#include <string>
#include "stringutils.h"
#include "debug.h"


int main( int argc, char *argv[])
{
    DebugStdOut();

    if (FAILED(CeRapiInit()))
    {
        error("Failed\n");
        return 1;
    }

    if (argc==1)
    {
        printf("Usage: prun exepath [arguments]\n");
        return 1;
    }

    std::string cmd= argv[1];

    std::string cmdline;

    for (int i=2 ; i<argc ; i++)
    {
        if (i>2)
            cmdline += ' ';
        cmdline += argv[i];
    }

    PROCESS_INFORMATION pi;
    if (!CeCreateProcess( ToWString(cmd).c_str(), ToWString(cmdline).c_str(),
            NULL, NULL, FALSE, 0, NULL, NULL, NULL,
            &pi))
    {
        ceerror("CreateProcess failed with Errorcode = %ld\n", CeGetLastError());
    }
    else
    {
        CeCloseHandle( pi.hProcess);
        CeCloseHandle( pi.hThread);
    }

    CeRapiUninit();

    return 0;
}

